Remove an IdP user's assignment from an IdP-managed app
curl --request DELETE \
--url https://api.saas-manager.biz.nuro.jp/api/v1/organizations/{organizationId}/workspaces/{workspaceId}/idp-app-assignments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"uniqueKey": "user@example.com",
"workflowRunId": "<string>"
}
'import requests
url = "https://api.saas-manager.biz.nuro.jp/api/v1/organizations/{organizationId}/workspaces/{workspaceId}/idp-app-assignments"
payload = {
"uniqueKey": "user@example.com",
"workflowRunId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({uniqueKey: 'user@example.com', workflowRunId: '<string>'})
};
fetch('https://api.saas-manager.biz.nuro.jp/api/v1/organizations/{organizationId}/workspaces/{workspaceId}/idp-app-assignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requestId": "1"
}Services
Remove an IdP user's assignment from an IdP-managed app
Removes an existing identity-provider user’s assignment (by uniqueKey) from an IdP-managed app workspace. Unlike standard deprovisioning, this only removes the user↔app assignment and does not delete the directory user.
DELETE
/
api
/
v1
/
organizations
/
{organizationId}
/
workspaces
/
{workspaceId}
/
idp-app-assignments
Remove an IdP user's assignment from an IdP-managed app
承認
For authenticated requests, set the Authorization: Bearer your_api_key parameter in the header.
You can create and manage your API Keys by visiting the API Keys tab in the Settings page of your organization in Assist SaaS Manager
ボディ
application/json
レスポンス
例:
"1"
最終更新日 2026年10月7日